package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.AddressInfo;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface AddressInfoDAO {
	int insert(AddressInfo entity);
	int update(AddressInfo entity);
	int exist(String id);
	AddressInfo get(String id);
	int delete(String id);
	List<AddressInfo> list(String companyId);
	AddressInfo findByMeetingIdAndAddressId(@Param("meetingId") String meetingId, @Param("addressId") String addressId);
	List<AddressInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
}